diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/inc/pkglanguage.h /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/inc/pkglanguage.h
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/inc/pkglanguage.h	2010-05-10 19:22:13.849689642 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/inc/pkglanguage.h	2010-05-08 15:21:16.000000000 +0100
@@ -26,7 +26,7 @@
 
 typedef struct
 {
-	wchar_t*		iName;
+	wchar_t const *		iName;
 	unsigned long	iId;
 } SKeyword;
 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/inc/sisutils.h /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/inc/sisutils.h
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/inc/sisutils.h	2010-05-10 19:22:13.849689642 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/inc/sisutils.h	2010-05-08 15:19:24.000000000 +0100
@@ -40,6 +40,9 @@
 #ifdef WIN32
 #define PATHSEPARATOR  "\\"
 #endif
+#ifdef __LINUX__
+#define PATHSEPARATOR  "/"
+#endif
 
 //typedefs
 typedef std::string String;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/src/pkgfileparser.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/src/pkgfileparser.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/src/pkgfileparser.cpp	2010-05-10 19:22:13.852617598 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/src/pkgfileparser.cpp	2010-05-08 15:16:08.000000000 +0100
@@ -18,13 +18,15 @@
 
 #include "sisutils.h"
 #include "pkgfileparser.h"
+#include <vector>
+#include <wchar.h>
 
 // Parse options lookups
 #define MAXTOKENLEN	30
 struct SParseToken
 {
-	WCHAR pszOpt[MAXTOKENLEN];
-	DWORD dwOpt;
+	wchar_t pszOpt[MAXTOKENLEN];
+	unsigned dwOpt;
 };
 
 const SParseToken KTokens[] =
@@ -46,6 +48,10 @@
 };
 #define NUMPARSETOKENS (sizeof(KTokens)/sizeof(SParseToken))
 
+std::wstring string2wstring (const String& aNarrow);
+String wstring2string (const std::wstring& aWide);
+
+
 /**
 Constructor: PkgParser class
 Initilize the parameters to data members.
@@ -68,9 +74,9 @@
 */
 PkgParser::~PkgParser()
 {
-	if(iPkgHandle != INVALID_HANDLE_VALUE)
+	if(iPkgHandle)
 	{
-		::CloseHandle(iPkgHandle);
+		std::fclose(iPkgHandle);
 	}
 
 	DeleteAll();
@@ -84,9 +90,14 @@
 */
 int PkgParser::OpenFile()
 {
-	iPkgHandle = ::CreateFileW(string2wstring(iPkgFile).data(),GENERIC_READ,0,NULL,OPEN_EXISTING,FILE_ATTRIBUTE_NORMAL,NULL);
+#ifdef WIN32
+	iPkgHandle = _wfopen(string2wstring(iPkgFile).c_str(),L"r");
+#else
+	// *nix fopen doesn't care about the filename encoding, as long as its NULL-terminated.
+	iPkgHandle = std::fopen(iPkgFile.c_str(),"r");
+#endif
+	return iPkgHandle ? 1 : 0;
 	
-	return (iPkgHandle != INVALID_HANDLE_VALUE) ? 1 : 0;
 }
 
 /**
@@ -164,7 +175,7 @@
 {
 	if(!OpenFile())
 	{
-		throw SisUtilsException((char*)iPkgFile.data(), "Could not open file");
+		throw SisUtilsException((char*)iPkgFile.data(), const_cast<char *>("Could not open file"));
 	}
 
 	GetNextChar();
@@ -209,7 +220,7 @@
 		case EOF_TOKEN:
 			break;
 		default:
-			ParserError("Unexpected token");
+			ParserError(const_cast<char *>("Unexpected token"));
 			break;
 		}
 	}
@@ -273,7 +284,7 @@
 	
 	// process application names
 	ExpectToken('{');
-	for (WORD wNumLangs = 0; wNumLangs < iLangList.size(); wNumLangs++)
+	for (unsigned short wNumLangs = 0; wNumLangs < iLangList.size(); wNumLangs++)
 	{
 		GetNextToken ();
 		ExpectToken(QUOTED_STRING_TOKEN);
@@ -664,7 +675,7 @@
 				aExpression.append("\"");
 				break;
 			case ALPHA_TOKEN:
-				if(!CompareNString(m_tokenValue.pszString,L"option",6))
+                if(!CompareNString(m_tokenValue.pszString,const_cast<wchar_t *>(L"option"),6))
 				{
 					aExpression.append(" defined(");
 					aExpression.append(wstring2string(m_tokenValue.pszString));
@@ -687,7 +698,7 @@
 		}
 		break;
 	default:
-		ParserError("ErrBadCondFormat");
+		ParserError(const_cast<char *>("ErrBadCondFormat"));
 	}
 	GetNextToken ();
 }
@@ -771,7 +782,7 @@
 */
 void PkgParser::ParseOptionsBlockL()
 {
-	WORD wNumLangs;
+	unsigned short wNumLangs;
 	
 	ExpectToken('(');
 	GetNextToken ();
@@ -838,7 +849,7 @@
 void PkgParser::ParseVendorNameL()
 {
 	ExpectToken('{');
-	for (WORD wNumLangs = 0; wNumLangs < iLangList.size(); wNumLangs++)
+	for (unsigned short wNumLangs = 0; wNumLangs < iLangList.size(); wNumLangs++)
 	{
 		GetNextToken ();
 		ExpectToken(QUOTED_STRING_TOKEN);
@@ -990,14 +1001,8 @@
 */
 void PkgParser::GetNextChar()
 {
-#ifdef WIN32
-	DWORD dwBytesRead;
-	if (!::ReadFile(iPkgHandle, (LPVOID)&m_pkgChar, sizeof(WCHAR), &dwBytesRead, NULL) ||
-		dwBytesRead!=sizeof(wchar_t))
-		m_pkgChar='\0';
-#else
-#error "TODO: Implement this function under other OS than Windows"
-#endif
+	wint_t wch = std::fgetwc(iPkgHandle);
+	m_pkgChar = (wch == WEOF) ? 0 : wch;
 }
 
 /**
@@ -1012,7 +1017,7 @@
 {
 	if (m_token!=aToken)
 	{
-		ParserError("Unexpected Token");
+		ParserError(const_cast<char *>("Unexpected Token"));
 	}
 }
 
@@ -1105,10 +1110,10 @@
 */
 bool PkgParser::GetStringToken()
 {
-	DWORD wCount = 0;
+	unsigned wCount = 0;
 	bool done=false;
 	bool finished=false;
-	DWORD escapeChars = 0;
+	unsigned escapeChars = 0;
 	
 	while (!finished)
 	{
@@ -1120,11 +1125,11 @@
 				if(wCount < (MAX_STRING - 1))
 					m_tokenValue.pszString[wCount++] = m_pkgChar;
 				else //We dont want the string with length greater than MAX_STRING to be cut off silently
-					ParserError("Bad String");
+					ParserError(const_cast<char *>("Bad String"));
 				GetNextChar();
 			}
 			if(m_pkgChar == '\0')
-				ParserError("Bad String");
+				ParserError(const_cast<char *>("Bad String"));
 			GetNextChar();
 			done=true;
 		}
@@ -1153,15 +1158,16 @@
 @internalComponent
 @released
 */
-WORD PkgParser::ParseEscapeChars()
+unsigned short PkgParser::ParseEscapeChars()
 {
-	WORD found=0;
-	WCHAR temp[MAX_STRING];
-#ifdef WIN32
+	unsigned short found=0;
+	wchar_t temp[MAX_STRING];
+
 	while (m_pkgChar == '<')
 	{
 		wcscpy(temp,m_tokenValue.pszString);
-		DWORD fileOffset=::SetFilePointer(iPkgHandle, 0L, NULL, FILE_CURRENT);
+		std::fpos_t foff;
+		std::fgetpos(iPkgHandle,&foff);
 		try
 		{
 			GetNextChar();
@@ -1170,32 +1176,29 @@
 				found++;
 			else
 			{
-				::SetFilePointer(iPkgHandle, fileOffset, NULL, FILE_BEGIN);
+				std::fsetpos(iPkgHandle,&foff);
 				break;
 			}
 		}
 		catch (...)
 		{
 			wcscpy(m_tokenValue.pszString,temp);
-			::SetFilePointer(iPkgHandle, fileOffset, NULL, FILE_BEGIN);
+			std::fsetpos(iPkgHandle,&foff);
 			break;
 		}
-		DWORD num=m_tokenValue.dwNumber;
+		unsigned num=m_tokenValue.dwNumber;
 		// watch for CP1252 escapes which aren't appropriate for UNICODE
-		if (num>=0x80 && num<=0x9F) ParserError("Invalid Escape");
-		DWORD len=wcslen(temp);
+		if (num>=0x80 && num<=0x9F) ParserError(const_cast<char *>("Invalid Escape"));
+		unsigned len=wcslen(temp);
 		wcscpy(m_tokenValue.pszString,temp);
 		if (len+2<=MAX_STRING)
 		{
-			m_tokenValue.pszString[len]=(WCHAR)num;
+			m_tokenValue.pszString[len]=(wchar_t)num;
 			len++;
 			m_tokenValue.pszString[len]='\0';
 		}
 		GetNextChar();
 	}
-#else
-#error "TODO: Implement this function under other OS than Windows"
-#endif 
 	return found;
 }
 
@@ -1207,7 +1210,7 @@
 */
 void PkgParser::GetAlphaNumericToken()
 {
-	WORD wCount = 0;
+	unsigned short wCount = 0;
 	while(m_pkgChar && (isalnum(m_pkgChar) || ((m_pkgChar) == '_')))
 	{
 		if(wCount < (MAX_STRING - 1))
@@ -1232,12 +1235,13 @@
 	{
 		// we may have a number but we must look ahead one char to be certain
 		
-		WCHAR oldChar = m_pkgChar;
-		DWORD fileOffset=::SetFilePointer(iPkgHandle, 0L, NULL, FILE_CURRENT);
+		wchar_t oldChar = m_pkgChar;
+		std::fpos_t foff;
+		std::fgetpos(iPkgHandle,&foff);
 		GetNextChar();
 		lexemeIsNumber = iswdigit(m_pkgChar) != FALSE;
 		m_pkgChar = oldChar;
-		::SetFilePointer(iPkgHandle,fileOffset,NULL,FILE_BEGIN);
+		std::fsetpos(iPkgHandle,&foff);
 	}
 	
 	return lexemeIsNumber;
@@ -1251,23 +1255,30 @@
 */
 void PkgParser::GetNumericToken()
 {
-	WCHAR temp[MAX_STRING];
-	LPWSTR end;
+	wchar_t temp[MAX_STRING];
+	wchar_t * end;
 	bool hexString = false;
-	DWORD dwBytesRead;
-	DWORD fileOffset=::SetFilePointer(iPkgHandle, 0L, NULL, FILE_CURRENT);
+	std::fpos_t foff;
+	std::fgetpos(iPkgHandle,&foff);
 	
 	temp[0]=m_pkgChar;
-	if (!::ReadFile(iPkgHandle, &temp[1], (MAX_STRING-2)*sizeof(WCHAR), &dwBytesRead, NULL) ||
-		dwBytesRead==0)
-		ParserError("Read failed");
-	temp[1+dwBytesRead/sizeof(WCHAR)]='\0';
-	hexString = (!CompareNString(temp, L"0x", 2) || !CompareNString(&temp[1], L"0x", 2));
+	unsigned wchRead = fread(&temp[1],sizeof(wchar_t),MAX_STRING - 2,iPkgHandle);
+	if (!wchRead)
+	{ 
+		ParserError(const_cast<char *>("Read failed"));
+	}
+	temp[1+wchRead] = 0;
+	hexString = (!CompareNString(temp, const_cast<wchar_t *>(L"0x"), 2) ||
+		!CompareNString(&temp[1], const_cast<wchar_t *>(L"0x"), 2));
 	
 	m_tokenValue.dwNumber = wcstoul(temp, &end, (hexString) ? 16 : 10);
 	
-	if (end==temp) ParserError("Read failed"); 
-	::SetFilePointer(iPkgHandle, fileOffset+(end-temp-1)*sizeof(WCHAR), NULL, FILE_BEGIN);
+	if (end==temp)
+	{
+		ParserError(const_cast<char *>("Read failed"));
+	}
+	std::fsetpos(iPkgHandle,&foff);
+	std::fseek(iPkgHandle,(end-temp-1) * sizeof(wchar_t),SEEK_CUR);		
 	GetNextChar();
 }
 
@@ -1344,7 +1355,7 @@
 
 	str << (char*)iPkgFile.data() << "(" << m_nLineNo << "): " << msg;
 
-	throw SisUtilsException("PakageFile-Parser Error", (char*)(str.str()).data());
+	throw SisUtilsException(const_cast<char *>("PackageFile-Parser Error"), (char*)(str.str()).data());
 }
 
 /**
@@ -1357,22 +1368,14 @@
 */
 String wstring2string (const std::wstring& aWide)
 {
-	int max = ::WideCharToMultiByte(CP_OEMCP,0,aWide.c_str(),aWide.length(),0,0,0,0);
-	String reply;
-	if (max > 0 )
-	{
-		char* buffer = new char [max];
-		try
+	std::vector<char> buffer((aWide.length() * sizeof(wchar_t)) + 1, '\0');
+	size_t nchars = wcstombs(&buffer[0],aWide.c_str(),buffer.size());
+	if (nchars == (size_t)-1)
 		{
-			::WideCharToMultiByte(CP_OEMCP,0,aWide.c_str(),aWide.length(),buffer,max,0,0);
-			reply = String (buffer, max);
-		}
-		catch (...)
-		{
-			throw SisUtilsException("ParserError", "wstring to string conversion failed");
-		}
-		delete [] buffer;
+		throw SisUtilsException(const_cast<char *>("ParserError"),
+			const_cast<char *>("wstring to string conversion failed"));
 	}
+	String reply(&buffer[0]);
 	return reply;
 }
 
@@ -1386,22 +1389,14 @@
 */
 std::wstring string2wstring (const String& aNarrow)
 {
-	int max = ::MultiByteToWideChar(CP_OEMCP,0,aNarrow.c_str(),aNarrow.length(),0,0);
-	std::wstring reply;
-	if (max > 0 )
+	std::vector<char> buffer(mblen(aNarrow.c_str(),aNarrow.length()) + 2, '\0');
+	size_t nchars = mbstowcs((wchar_t *)&buffer[0],aNarrow.c_str(),buffer.size());
+	if (nchars == (size_t)-1)
 	{
-		wchar_t* buffer = new wchar_t [max];
-		try
-		{
-			::MultiByteToWideChar(CP_OEMCP,0,aNarrow.c_str(),aNarrow.length(),buffer,max);
-			reply = std::wstring (buffer, max);
-		}
-		catch (...)
-		{
-			throw SisUtilsException("ParserError", "string to wstring conversion failed");
-		}
-		delete [] buffer;
+		throw SisUtilsException(const_cast<char *>("ParserError"),
+			const_cast<char *>("string to wstring conversion failed"));
 	}
+	std::wstring reply((wchar_t *)&buffer[0]);
 	return reply;
 }
 
@@ -1414,9 +1409,13 @@
 @param string - first string
 @param option - second string
 */
-int CompareTwoString(wchar_t* string ,wchar_t* option)
+int CompareTwoString(wchar_t const * string ,wchar_t const * option)
 {
+#if defined(WIN32)
 	return wcsicmp(string,option);
+#elif defined(__LINUX__)
+	return wcscasecmp(string,option);
+#endif
 }
 
 /**
@@ -1429,7 +1428,7 @@
 @param option - second string
 @param len - no of wide characters to be compared
 */
-int CompareNString(wchar_t* string ,wchar_t* option, int len)
+int CompareNString(wchar_t const * string ,wchar_t const * option, int len)
 {
-	return wcsnicmp(string,option,len);
+	return wmemcmp(string,option,len);
 }
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/src/sis2iby.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/src/sis2iby.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/src/sis2iby.cpp	2010-05-10 19:22:13.852617598 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/src/sis2iby.cpp	2010-05-08 15:17:54.000000000 +0100
@@ -86,12 +86,12 @@
 			break;
 		case STAT_FAILURE:
 			{
-				throw SisUtilsException((char*)sisFile.data(), "Failed to extract SIS file");
+				throw SisUtilsException((char*)sisFile.data(), const_cast<char *>("Failed to extract SIS file"));
 			}
 		}
 	}
 	else
-		throw SisUtilsException((char*)sisFile.data(), "File not found");
+		throw SisUtilsException((char*)sisFile.data(), const_cast<char *>("File not found"));
 }
 
 /**
@@ -128,7 +128,7 @@
 	ibyFile.append(".iby");
 
 	if( !MakeDirectory(iOutputPath) )
-		throw SisUtilsException((char*)iOutputPath.data(), "Failed to create path");
+		throw SisUtilsException((char*)iOutputPath.data(), const_cast<char *>("Failed to create path"));
 
 	if(IsVerboseMode())
 	{
@@ -139,7 +139,7 @@
 
 	if(!ibyHandle.good())
 	{
-		throw SisUtilsException((char*)ibyFile.data(), "Failed to create IBY file");
+		throw SisUtilsException((char*)ibyFile.data(), const_cast<char *>("Failed to create IBY file"));
 	}
 
 	// Generating Header
@@ -239,10 +239,11 @@
 			}
 		}
 		else
-			throw SisUtilsException((char*)pkgFileName.data(), "Could not create parser object");
+			throw SisUtilsException((char*)pkgFileName.data(), const_cast<char *>("Could not create parser object"));
 	}
 	else
-		throw SisUtilsException((char*)pkgFileName.data(), "File not found");
+		throw SisUtilsException(const_cast<char *>(pkgFileName.data()),
+			const_cast<char *>("File not found"));
 }
 
 /**
@@ -551,7 +552,12 @@
 		aFile.assign(fPath);
 	}
 #else
-#error "TODO: Implement this function under other OS than Windows"
+	char fPath[FILENAME_MAX];
+	if (realpath(aFile.c_str(),fPath))
+	{
+		aFile.assign(fPath);
+	}
+
 #endif
 	return;
 }
@@ -652,7 +658,8 @@
 
 	if( !aIfs.is_open() )
 	{
-		throw SisUtilsException((char*)aFile.data(), "Cannot open file");
+		throw SisUtilsException(const_cast<char *>(aFile.data()),
+			const_cast<char *>("Cannot open file"));
 	}
 
 	aIfs.seekg(0,std::ios::end);
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/src/sisutils.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/src/sisutils.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/sisutils/src/sisutils.cpp	2010-05-10 19:22:13.852617598 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/sisutils/src/sisutils.cpp	2010-05-08 15:18:44.000000000 +0100
@@ -20,6 +20,13 @@
 #include <windows.h>
 #include <direct.h>
 #endif
+#ifdef __LINUX__
+#include <vector>
+#include <cerrno>
+#include <sys/wait.h>
+#include <sys/stat.h>
+#endif
+
 
 #include "sisutils.h"
 
@@ -201,9 +208,47 @@
 	::CloseHandle( pi.hProcess );
 	::CloseHandle( pi.hThread );
 #else
-#error "TODO: Implement this function under other OS than Windows"
+	String::iterator pch = cmd.begin();
+	String::iterator end = cmd.end();
+	char *token = NULL;
+	std::vector<char *> args;
+	for ( ;pch != end; ++pch)
+	{
+		if (isspace(*pch))
+		{
+			*pch = '\0';
+			if (token) {
+				token = NULL;
+			}
+		}
+		else if (!token)
+		{
+			token = &*pch;
+			args.push_back(token);
+		}  
+	}
+	args.push_back(NULL);
+    pid_t pid = fork();
+    if (pid == 0)
+	{
+        execv(args[0],&args[0]);
+    }
+    else if (pid < 0)
+	{
+        iExitCode = static_cast<TUint32>(STAT_FAILURE);
+    }
+    else
+	{
+		int rtc;
+        pid_t ws = waitpid( pid, &rtc, 0);
+        if (ws != pid) {
+            iExitCode = static_cast<TUint32>(STAT_FAILURE);
+        }
+		else {
+			iExitCode = rtc;
+		}
+    }
 #endif
-
 	return iExitCode;
 }
 
@@ -281,7 +326,13 @@
 			}
 		}
 #else
-#error "TODO: Implement this function under other OS than Windows"
+		if(mkdir(dir.data(),777) != 0)
+		{
+			if(errno != EEXIST)
+			{
+				status = EFalse;
+			}
+		}
 #endif
 		if(status == EFalse)
 			break;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/sbsv2/cpp-raptor/group/exports.inf /home/imk/symbian/epocroot-pdk-3.0.h/build/sbsv2/cpp-raptor/group/exports.inf
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/sbsv2/cpp-raptor/group/exports.inf	2010-05-10 19:22:13.856618037 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/sbsv2/cpp-raptor/group/exports.inf	2010-05-09 13:37:03.425787894 +0100
@@ -15,6 +15,6 @@
 *
 */
 
-../win32/bin/cpp.exe /tools/sbs/win32/bv/bin/cpp.exe
-../win32/i686-pc-mingw32/bin/cc1.exe /tools/sbs/win32/bv/i686-pc-mingw32/bin/cc1.exe
-../win32/i686-pc-mingw32/bin/libiconv-2.dll /tools/sbs/win32/bv/i686-pc-mingw32/bin/libiconv-2.dll
+../win32/bin/cpp.exe ../../tools/sbs/win32/bv/bin/cpp.exe
+../win32/i686-pc-mingw32/bin/cc1.exe ../../tools/sbs/win32/bv/i686-pc-mingw32/bin/cc1.exe
+../win32/i686-pc-mingw32/bin/libiconv-2.dll ../../tools/sbs/win32/bv/i686-pc-mingw32/bin/libiconv-2.dll
